[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.ChangeTableSize

Change the table size of the hash table.

## Declaration

Source position: contnrs.pp line 378

`public procedure TFPCustomHashTable.ChangeTableSize(`
`const ANewSize: LongWord`
`); virtual;`

## Arguments

`ANewSize` |  | New hash table size

## Description

ChangeTableSize changes the size of the hash table: it recomputes the hash value for all of the keys in the table, so this is an expensive operation.

## Errors

If no memory is available, an exception may be raised.

## See also

HashTableSize |  | Size of the hash table

The latest version of this document can be found at lazarus-ccr.sourceforge.net.